NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::BlockFeatureBuilder Class Reference

Represents a block feature builder. More...

Inheritance diagram for NXOpen::Features::BlockFeatureBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Types { TypesOriginAndEdgeLengths, TypesTwoPointsAndHeight, TypesDiagonalPoints }
 Represents the block types. More...
 

Public Member Functions

NXOpen::GeometricUtilities::BooleanOperationBooleanOption ()
 Returns the boolean option
Created in NX6.0.0. More...
 
NXOpen::Features::Feature::BooleanType BooleanType ()
 Returns the boolean operation for the block
Created in NX4.0.0. More...
 
void GetOrientation (NXOpen::Vector3d *xAxis, NXOpen::Vector3d *yAxis)
 Gets the orientation (x and y axes) of the block. More...
 
NXOpen::ExpressionHeight ()
 Returns the expression representing the block height. More...
 
NXOpen::ExpressionLength ()
 Returns the expression representing the block length. More...
 
NXOpen::Point3d Origin ()
 Returns the point coordinates representing the block origin. More...
 
NXOpen::PointOriginPoint ()
 Returns the block origin point
Created in NX6.0.0. More...
 
bool ParentAssociativity ()
 Returns the option to keep associativity of the Origin and Origin Offset Points
Created in NX8.0.0. More...
 
NXOpen::PointPointFromOrigin ()
 Returns the point which defines values along the x, y axes of the WCS from origin point, when type is two point and height. More...
 
void SetBooleanOperationAndTarget (NXOpen::Features::Feature::BooleanType booleanOperation, NXOpen::Body *targetBody)
 Set the boolean operation for creating the block and the boolean operation target body
Created in NX3.0.0. More...
 
void SetBooleanType (NXOpen::Features::Feature::BooleanType booleanType)
 Sets the boolean operation for the block
Created in NX4.0.0. More...
 
void SetHeight (const NXString &height)
 The expression representing the block height. More...
 
void SetHeight (const char *height)
 The expression representing the block height. More...
 
void SetLength (const NXString &length)
 The expression representing the block length. More...
 
void SetLength (const char *length)
 The expression representing the block length. More...
 
void SetOrientation (const NXOpen::Vector3d &xAxis, const NXOpen::Vector3d &yAxis)
 Sets the orientation for the block
Created in NX4.0.0. More...
 
void SetOrigin (const NXOpen::Point3d &origin)
 Sets the point coordinates representing the block origin. More...
 
void SetOriginAndLengths (const NXOpen::Point3d &originPoint, const NXString &lengthExpression, const NXString &widthExpression, const NXString &heightExpression)
 Create a block by setting the origin and the block length, width, and height. More...
 
void SetOriginAndLengths (const NXOpen::Point3d &originPoint, const char *lengthExpression, const char *widthExpression, const char *heightExpression)
 Create a block by setting the origin and the block length, width, and height. More...
 
void SetOriginPoint (NXOpen::Point *blockOriginPoint)
 Sets the block origin point
Created in NX6.0.0. More...
 
void SetParentAssociativity (bool parentAssociativity)
 Sets the option to keep associativity of the Origin and Origin Offset Points
Created in NX8.0.0. More...
 
void SetPointFromOrigin (NXOpen::Point *blockPointFromOrigin)
 Sets the point which defines values along the x, y axes of the WCS from origin point, when type is two point and height. More...
 
void SetTarget (NXOpen::Body *target)
 Sets the target body for the boolean operation (if any) for the block
Created in NX4.0.0. More...
 
void SetTwoDiagonalPoints (const NXOpen::Point3d &originPoint, const NXOpen::Point3d &cornerPoint)
 Create a block by setting two diagonal points, one at the block origin and one at the opposite corner point. More...
 
void SetTwoPointsAndHeight (const NXOpen::Point3d &originPoint, const NXOpen::Point3d &cornerPoint, const NXString &heightExpression)
 Create a block by setting the block height and two diagonal points in the WCS x-y plane. More...
 
void SetTwoPointsAndHeight (const NXOpen::Point3d &originPoint, const NXOpen::Point3d &cornerPoint, const char *heightExpression)
 Create a block by setting the block height and two diagonal points in the WCS x-y plane. More...
 
void SetType (NXOpen::Features::BlockFeatureBuilder::Types type)
 Sets the type represented by NXOpen::Features::BlockFeatureBuilder::Types
Created in NX6.0.0. More...
 
void SetWidth (const NXString &width)
 The expression representing the block width. More...
 
void SetWidth (const char *width)
 The expression representing the block width. More...
 
NXOpen::BodyTarget ()
 Returns the target body for the boolean operation (if any) for the block
Created in NX4.0.0. More...
 
NXOpen::Features::BlockFeatureBuilder::Types Type ()
 Returns the type represented by NXOpen::Features::BlockFeatureBuilder::Types
Created in NX6.0.0. More...
 
NXOpen::ExpressionWidth ()
 Returns the expression representing the block width. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a block feature builder.


To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateBlockFeatureBuilder

Created in NX3.0.0.

Member Enumeration Documentation

Represents the block types.

Enumerator
TypesOriginAndEdgeLengths 

Represents the block created by providing Origin and Edge Lengths.

TypesTwoPointsAndHeight 

Represents the block created by providing Two Points and Height.

TypesDiagonalPoints 

Represents the block created by providing Diagonal Points.

Member Function Documentation

NXOpen::GeometricUtilities::BooleanOperation* NXOpen::Features::BlockFeatureBuilder::BooleanOption ( )

Returns the boolean option
Created in NX6.0.0.



License requirements : None

NXOpen::Features::Feature::BooleanType NXOpen::Features::BlockFeatureBuilder::BooleanType ( )

Returns the boolean operation for the block
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

void NXOpen::Features::BlockFeatureBuilder::GetOrientation ( NXOpen::Vector3d xAxis,
NXOpen::Vector3d yAxis 
)

Gets the orientation (x and y axes) of the block.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
xAxisx axis
yAxisy axis
NXOpen::Expression* NXOpen::Features::BlockFeatureBuilder::Height ( )

Returns the expression representing the block height.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Expression* NXOpen::Features::BlockFeatureBuilder::Length ( )

Returns the expression representing the block length.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Point3d NXOpen::Features::BlockFeatureBuilder::Origin ( )

Returns the point coordinates representing the block origin.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Point* NXOpen::Features::BlockFeatureBuilder::OriginPoint ( )

Returns the block origin point
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::BlockFeatureBuilder::ParentAssociativity ( )

Returns the option to keep associativity of the Origin and Origin Offset Points
Created in NX8.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::BlockFeatureBuilder::PointFromOrigin ( )

Returns the point which defines values along the x, y axes of the WCS from origin point, when type is two point and height.

the point which defines values along the x, y and z axes of the WCS from origin point, when type is diagonal points.


Created in NX6.0.0.

License requirements : None

void NXOpen::Features::BlockFeatureBuilder::SetBooleanOperationAndTarget ( NXOpen::Features::Feature::BooleanType  booleanOperation,
NXOpen::Body targetBody 
)

Set the boolean operation for creating the block and the boolean operation target body
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
booleanOperationType of boolean operation.
targetBodyTarget body for boolean operation. Set to a null reference (Nothing in Visual Basic) for a boolean create operation.
void NXOpen::Features::BlockFeatureBuilder::SetBooleanType ( NXOpen::Features::Feature::BooleanType  booleanType)

Sets the boolean operation for the block
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
booleanTypeboolean type
void NXOpen::Features::BlockFeatureBuilder::SetHeight ( const NXString height)

The expression representing the block height.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
heightheight
void NXOpen::Features::BlockFeatureBuilder::SetHeight ( const char *  height)

The expression representing the block height.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
heightheight
void NXOpen::Features::BlockFeatureBuilder::SetLength ( const NXString length)

The expression representing the block length.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
lengthlength
void NXOpen::Features::BlockFeatureBuilder::SetLength ( const char *  length)

The expression representing the block length.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
lengthlength
void NXOpen::Features::BlockFeatureBuilder::SetOrientation ( const NXOpen::Vector3d xAxis,
const NXOpen::Vector3d yAxis 
)

Sets the orientation for the block
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
xAxisx axis
yAxisy axis
void NXOpen::Features::BlockFeatureBuilder::SetOrigin ( const NXOpen::Point3d origin)

Sets the point coordinates representing the block origin.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
originorigin
void NXOpen::Features::BlockFeatureBuilder::SetOriginAndLengths ( const NXOpen::Point3d originPoint,
const NXString lengthExpression,
const NXString widthExpression,
const NXString heightExpression 
)

Create a block by setting the origin and the block length, width, and height.

The origin of the block is specified by the input origin point in absolute coordinates. The orientation of the block is along the x, y, and z axes of the WCS.
Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
originPointBlock origin point
lengthExpressionBlock length in the WCS x direction
widthExpressionBlock width in the WCS y direction
heightExpressionBlock height in the WCS z direction
void NXOpen::Features::BlockFeatureBuilder::SetOriginAndLengths ( const NXOpen::Point3d originPoint,
const char *  lengthExpression,
const char *  widthExpression,
const char *  heightExpression 
)

Create a block by setting the origin and the block length, width, and height.

The origin of the block is specified by the input origin point in absolute coordinates. The orientation of the block is along the x, y, and z axes of the WCS.
Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
originPointBlock origin point
lengthExpressionBlock length in the WCS x direction
widthExpressionBlock width in the WCS y direction
heightExpressionBlock height in the WCS z direction
void NXOpen::Features::BlockFeatureBuilder::SetOriginPoint ( NXOpen::Point blockOriginPoint)

Sets the block origin point
Created in NX6.0.0.



License requirements : None

Parameters
blockOriginPointblockoriginpoint
void NXOpen::Features::BlockFeatureBuilder::SetParentAssociativity ( bool  parentAssociativity)

Sets the option to keep associativity of the Origin and Origin Offset Points
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
parentAssociativityparentassociativity
void NXOpen::Features::BlockFeatureBuilder::SetPointFromOrigin ( NXOpen::Point blockPointFromOrigin)

Sets the point which defines values along the x, y axes of the WCS from origin point, when type is two point and height.

the point which defines values along the x, y and z axes of the WCS from origin point, when type is diagonal points.


Created in NX6.0.0.

License requirements : None

Parameters
blockPointFromOriginblockpointfromorigin
void NXOpen::Features::BlockFeatureBuilder::SetTarget ( NXOpen::Body target)

Sets the target body for the boolean operation (if any) for the block
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
targettarget
void NXOpen::Features::BlockFeatureBuilder::SetTwoDiagonalPoints ( const NXOpen::Point3d originPoint,
const NXOpen::Point3d cornerPoint 
)

Create a block by setting two diagonal points, one at the block origin and one at the opposite corner point.

The orientation of the block is along the x, y, and z axes of the WCS.
Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
originPointBlock origin point
cornerPointBlock corner point, diagonal from the block origin point
void NXOpen::Features::BlockFeatureBuilder::SetTwoPointsAndHeight ( const NXOpen::Point3d originPoint,
const NXOpen::Point3d cornerPoint,
const NXString heightExpression 
)

Create a block by setting the block height and two diagonal points in the WCS x-y plane.

The orientation of the block is along the x, y, and z axes of the WCS.
Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
originPointBlock origin point
cornerPointBlock 2d corner point, diagonal in WCS x-y plane from the block origin point.
heightExpressionBlock height in the WCS z direction
void NXOpen::Features::BlockFeatureBuilder::SetTwoPointsAndHeight ( const NXOpen::Point3d originPoint,
const NXOpen::Point3d cornerPoint,
const char *  heightExpression 
)

Create a block by setting the block height and two diagonal points in the WCS x-y plane.

The orientation of the block is along the x, y, and z axes of the WCS.
Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
originPointBlock origin point
cornerPointBlock 2d corner point, diagonal in WCS x-y plane from the block origin point.
heightExpressionBlock height in the WCS z direction
void NXOpen::Features::BlockFeatureBuilder::SetType ( NXOpen::Features::BlockFeatureBuilder::Types  type)

Sets the type represented by NXOpen::Features::BlockFeatureBuilder::Types
Created in NX6.0.0.



License requirements : None

Parameters
typetype
void NXOpen::Features::BlockFeatureBuilder::SetWidth ( const NXString width)

The expression representing the block width.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
widthwidth
void NXOpen::Features::BlockFeatureBuilder::SetWidth ( const char *  width)

The expression representing the block width.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
widthwidth
NXOpen::Body* NXOpen::Features::BlockFeatureBuilder::Target ( )

Returns the target body for the boolean operation (if any) for the block
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Features::BlockFeatureBuilder::Types NXOpen::Features::BlockFeatureBuilder::Type ( )

Returns the type represented by NXOpen::Features::BlockFeatureBuilder::Types
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::BlockFeatureBuilder::Width ( )

Returns the expression representing the block width.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.